Bug 126338 - Writer Searching for Char Format not working any longer
Summary: Writer Searching for Char Format not working any longer
Status: RESOLVED DUPLICATE of bug 95927
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.4.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-11 05:32 UTC by Karl-Heinz Zimmer
Modified: 2020-10-23 07:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of dialogue: Search & Replace (48.62 KB, image/png)
2019-07-11 05:33 UTC, Karl-Heinz Zimmer
Details
video confirming the bug (3.37 MB, video/mp4)
2019-12-12 20:21 UTC, BogdanB
Details
video of the bug working in the new versions (768.62 KB, video/mp4)
2019-12-12 20:40 UTC, BogdanB
Details
Screenshot of dialogue: Search & Replace (no styles) (71.11 KB, image/png)
2019-12-15 09:38 UTC, Karl-Heinz Zimmer
Details
Screenshot of dialogue: Search & Replace (including styles) (70.15 KB, image/png)
2019-12-15 09:40 UTC, Karl-Heinz Zimmer
Details
screenshot (345.63 KB, image/png)
2020-09-28 06:15 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karl-Heinz Zimmer 2019-07-11 05:32:26 UTC
Description:
Tried to search for any text that's formatted as italics.

(works fine with version 6.1.6.3, but does not work with version 6.2.4.2)

Steps to Reproduce:
1. In "Find & Replace" dialogue I checked "Regular expressions".

2. Entered ".*" in input line "Find".

3. Clicked the "Format" button.

4. In "Search for formatting" dialogue I just selected "Italic", but the resulting string (shown below the "Find" input line was:

Italic, normal, Indent left 0.0 inch, …
(see screenshot attached here)

5. Tried to find something, but the dialog told me "Search key not found".


Actual Results:
did not find any italics text

Expected Results:
shound have found any italics text


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Karl-Heinz Zimmer 2019-07-11 05:33:21 UTC
Created attachment 152714 [details]
Screenshot of dialogue: Search & Replace
Comment 2 Karl-Heinz Zimmer 2019-07-11 05:34:44 UTC
Comment on attachment 152714 [details]
Screenshot of dialogue: Search & Replace

Texts marked red should not be there.
Comment 3 V Stuart Foote 2019-07-11 13:50:04 UTC
You don't need to use regex .*, but you do need to use the 'Include Styles' checkbox (for either character Style, or direct formatting).

Using the 'No format' button will clear the left overs for the criteria--e.g. the "Indent left ..." of the clip.
Comment 4 Karl-Heinz Zimmer 2019-07-11 14:04:22 UTC
Did you actually test this?

It does not work for me.

Note: For version 6.1.6.3 it _does_ work, as I described, but it does not work for version 6.2.4.2.
Comment 5 Karl-Heinz Zimmer 2019-07-11 14:11:48 UTC
Also your advise does not solve the problem:

Using the 'No format' button does NOT remove just these 'left overs' from the search criteria, but (of course) it removes all of the formatting: including 'Italic'.
Comment 6 V Stuart Foote 2019-07-11 14:58:23 UTC
Of course I tested ;-)

Windows 10 Home 64-bit en-US with
Version: 6.2.5.2 (x64)
Build ID: 1ec314fa52f458adc18c4f025c545a4e8b22c159
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

and current master/6.4.0alpha0+

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

@Xisco, please have a look.
Comment 7 Karl-Heinz Zimmer 2019-07-11 15:06:44 UTC
THX :)

I will test with 6.3 RC1 tonight.

It would be sad if the bug made it into the release: In that case I would need to tell my users (selfpublishing authors of novels in German language) to use 6.1 instead.
They need the "search for italics" feature. :)
Comment 8 Karl-Heinz Zimmer 2019-07-11 16:24:28 UTC
Hi again, I tested with 6.3 RC1 now:

Using 'Format…' and then 'Italics' does NOT find any italics text.

Using 'Attributes…' and then 'Font posture' DOES find italics text.

So there is a bug, when using Format/Italics.
Comment 9 Karl-Heinz Zimmer 2019-07-11 20:29:32 UTC
BTW, I have tested with a freshly built version from Git now:

Version: 6.4.0.0.alpha0+
Build ID: 4e257f0f8b62138ead3913f43350b7012799bcaa
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); UI-Language: en-US
Calc: threaded

Same problem, as described above.

This works: 'Attributes…' / Font posture

This doesn't work: 'Format…' / Western text font / Style / Italic
Comment 10 Ahmad Haris 2019-11-14 00:30:19 UTC
I just tested on:
Version: 6.3.3.2.0+
Build ID: 6.3.3.2-2.fc31
CPU threads: 8; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

This work: 'Format…' / Western text font / Style / Italic
This also work: This works: 'Attributes…' / Font posture
Comment 11 BogdanB 2019-12-12 20:21:54 UTC
Created attachment 156526 [details]
video confirming the bug

Confirm this bug

Version: 6.2.7.1
Build ID: 23edc44b61b830b7d749943e020e96f5a7df63bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

I should mention that after repeating this steps with Format - No format - Format - No format I succeded once to find the italic. But just once.
Comment 12 BogdanB 2019-12-12 20:29:42 UTC
Working on
Version: 6.5.0.0.alpha0+
Build ID: 5030be4e85179147476b1e441eb618fb6ed58235
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-11-28_20:14:48
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

I need to test more cases.
Comment 13 BogdanB 2019-12-12 20:36:08 UTC
Working in 
Version: 6.4.0.0.beta1
Build ID: 4d7e5b0c40ed843384704eca3ce21981d4e98920
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

Working in 
Version: 6.3.4.2
Build ID: 60da17e045e08f1793c57c00ba83cdfce946d0aa
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

But as I said earlier this is NOT working
Version: 6.2.7.1
Build ID: 23edc44b61b830b7d749943e020e96f5a7df63bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded

I supose that since 6.2 is very soon end of life this bug can be considered as close IF the reporter test this bug and it is ok on the new versions.
Comment 14 BogdanB 2019-12-12 20:40:31 UTC
Created attachment 156528 [details]
video of the bug working in the new versions

This is a video showing the bug was solved in the latest version, as a prove for Karl-Heinz Zimmer that this bug was solved.

Video with version
Version: 6.5.0.0.alpha0+
Build ID: 5030be4e85179147476b1e441eb618fb6ed58235
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-11-28_20:14:48
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 15 BogdanB 2019-12-12 20:48:51 UTC
Karl, maybe you need a clean user profile for your new versions of LibreOffice. (Help - Restart in Safe Mode - Restart - Reset to factory settings - Check Reset settings and Reset entire user profile - Apply changes and Restart) and try againg. Today was released the version 6.3.4. You could try this version.
Comment 16 Karl-Heinz Zimmer 2019-12-15 09:38:52 UTC
Created attachment 156592 [details]
Screenshot of dialogue: Search & Replace (no styles)
Comment 17 Karl-Heinz Zimmer 2019-12-15 09:40:40 UTC
Created attachment 156593 [details]
Screenshot of dialogue: Search & Replace (including styles)
Comment 18 Karl-Heinz Zimmer 2019-12-15 09:48:25 UTC
Hi Bogdan,

thank you for digging into this issue, the Search & Replace (for Format Italic) is working now, but only if NO Styles are included.

When I check the Styles checkbox before clicking Replace All, the dialogue tells me it has replaced 3 items, but it did not replace any.

Even worse:

The old way (just using Attributes dialogue instead of Format) now _also_ has stopped working for the case that Styles is checked.

So now I am lost:

Using 6.3.4.2 makes it impossible to Search & Replace all italics texts including those that got their formatting via styles. :(

see two new screenshots: "(no styles)" vz. "(including styles)"
Comment 19 BogdanB 2020-09-28 06:15:08 UTC
Created attachment 165901 [details]
screenshot

Karl, 
look at my screenshot. I have a bold text, and also a Heading 1 that is of course bold. If I search for Bold and checking "Including Styles" it is working.

Tested on
Version: 7.1.0.0.alpha0+
Build ID: 4a899a5f8a72ea29a6919316afe3627de9f33e95
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 20 Timur 2020-10-22 12:16:16 UTC
Looks like duplicate. Rule of thumb is search before reporting and confirming. 
Issue resolved from LO 6.3.2 (not in 6.2.x), normal search with Format. 

As for search with Styles, that's a different issue.
I'm not sure how "Including Styles" work, even with Help.
https://help.libreoffice.org/7.1/en-US/text/shared/01/02100000.html
If you find it worth a bug, please search thoroughly first.

*** This bug has been marked as a duplicate of bug 95927 ***
Comment 21 Timur 2020-10-22 12:18:24 UTC
"Including Styles" gives some bugs. Do not report without reading them all.
Comment 22 Timur 2020-10-22 13:40:06 UTC
bug 128541
Comment 23 Karl-Heinz Zimmer 2020-10-22 21:10:25 UTC
If this is a duplicate, how comes that I reported it before 6.3 was released, then there were attempts to fix it – but now the situation is worse than before?

I have to keep an old LibreOffice 6.1 copy here, just for being able to use the old way, because your 'fix' resulted in the old way not working any longer.

fact is: I need to search for "Attribute: Font posture" (with version 6.1) because searching for "Format: Italic" does not work, and in 6.3 NONE of these work.
Comment 24 Timur 2020-10-23 06:29:26 UTC
Karl-Heinz, Bugzilla is not some discussion point not helping page where you just type before checking. 
All was written clearly, duplicate of which buh and it has other duplicates with examples - doesn't look you checked. 
Also written that Italic issue in Format is resolved from 6.3.2 so irrelevant when you write "in 6.3 doesn't work". 

It may be that there's a bug , this one or another, but you need to write clear, objective, reproducible steps (avoiding "I") best with minimal sample. 
This reports was too long so anyway needed is a breakdown.
And to test with current LO Still 6.4.6 or Fresh 7.0.2 or best with daily master 7.1+.
LO AppImage is available from http://libreoffice.soluzioniopen.com/index.php/daily-version/ and it's very useful because it's small download and one-file LO, convenient for testing in Linux.
Comment 25 Karl-Heinz Zimmer 2020-10-23 07:41:12 UTC
Thank you for the hint.

I just tested with https://libreoffice.soluzioniopen.com/daily/86/LibreOfficeDev-7.1.0.0.alpha0_2020-10-19-x86_64.AppImage
and the problem  is gone.  :)